### Signal

# Gtk Window::close-request

#### Declaration

    gboolean
    close_request (
      GtkWindow self,
      gpointer user_data
    )

#### Description [src]

Emitted when the user clicks on the close button of the window.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the signal.